package com.ruoyi.project.aspen.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * DASHBOARD每日抓取数据对象 t_dashboardday
 *
 * @author ruoyi
 * @date 2022-02-11
 */
public class TDashboardday extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 抓取时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "抓取时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 前日产量 C2H4 */
    @Excel(name = "前日产量 C2H4")
    private String dailyYixi;

    /** 前日产量C3H6 */
    @Excel(name = "前日产量C3H6")
    private String dailyBingxi;

    /** 加工损失率 */
    @Excel(name = "加工损失率")
    private String lossRate;

    /** 每日能耗 */
    @Excel(name = "每日能耗")
    private String energyConsumption;

    /** 产品产量 */
    @Excel(name = "产品产量")
    private String productPutput;

    /** 数据日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "数据日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataDate;

    /** 抓取数据日 */
    private String dateDay;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDailyYixi(String dailyYixi)
    {
        this.dailyYixi = dailyYixi;
    }

    public String getDailyYixi()
    {
        return dailyYixi;
    }
    public void setDailyBingxi(String dailyBingxi)
    {
        this.dailyBingxi = dailyBingxi;
    }

    public String getDailyBingxi()
    {
        return dailyBingxi;
    }
    public void setLossRate(String lossRate)
    {
        this.lossRate = lossRate;
    }

    public String getLossRate()
    {
        return lossRate;
    }
    public void setEnergyConsumption(String energyConsumption)
    {
        this.energyConsumption = energyConsumption;
    }

    public String getEnergyConsumption()
    {
        return energyConsumption;
    }
    public void setProductPutput(String productPutput)
    {
        this.productPutput = productPutput;
    }

    public String getProductPutput()
    {
        return productPutput;
    }
    public void setDataDate(Date dataDate)
    {
        this.dataDate = dataDate;
    }

    public Date getDataDate()
    {
        return dataDate;
    }
    public String getDateDay() { return dateDay; }

    public void setDateDay(String dateDay) { this.dateDay = dateDay; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("dailyYixi", getDailyYixi())
            .append("dailyBingxi", getDailyBingxi())
            .append("lossRate", getLossRate())
            .append("energyConsumption", getEnergyConsumption())
            .append("productPutput", getProductPutput())
            .append("dataDate", getDataDate())
            .toString();
    }
}
